package org.jeecg.config.aop.logprint;

import lombok.Builder;
import lombok.Data;

/**
 * @description: 日志打印对象
 * @author: niugeng
 * @create: 2023-03-20 14:04
 **/
@Data
@Builder
public class LogPrintInfo {
    /**
     * 时间
     */
    String time ;
    /**
     * 线程
     */
    String thread ;
    /**
     * 操作
     */
    String operate ;
    /**
     * 序号
     */
    Integer num;
}
