package org.jeecg.config.mybatis.update;

/**
 * @description:
 * @author: niugeng
 * @create: 2023-01-07 15:59
 **/
/** * SQL拼接执行常量类 * * @author utrix * @date 2021/6/21 */
public interface SqlConstant {
    // ============= 符号 =================
    /** * 符号 之 空格 */
    String SPACE = " ";
    /** * 半角逗号 */
    String COMMA = ",";
    /** * 单引号 */
    String APOSTROPHE = "'";
    /** * 等于 */
    String EQUAL = "=" + SPACE;
    /** * 符号之左括号 */
    String LEFT_PARENTHESIS = SPACE + "(";
    /** * 符号之右括号 */
    String RIGHT_PARENTHESIS = ")";
    // ================= SQL语法函数 ==================
    /** * 数据操纵语言(Data Manipulation Language) 之 更新 */
    String DML_UPDATE = "UPDATE" + SPACE;
    /** * 语法之 SET */
    String SQL_SET = SPACE + "SET" + SPACE;
    /** * SQL函数之 CASE */
    String FUNC_CASE = "CASE" + SPACE;
    /** * 等号 + CASE */
    String EQUAL_CASE = EQUAL + FUNC_CASE;
    /** * SQL CASE-WHEN函数之 WHEN */
    String FUNC_WHEN = SPACE + "WHEN" + SPACE;
    /** * SQL 函数之 WHERE */
    String FUNC_WHERE = SPACE + "WHERE" + SPACE;
    /** * SQL CASE-WHEN函数之 THEN */
    String FUNC_THEN = SPACE + "THEN" + SPACE;
    /** * THEN + 单引号 */
    String THEN_APOSTROPHE = FUNC_THEN + APOSTROPHE;
    /** * SQL CASE-WHEN函数之 END */
    String FUNC_END = SPACE + "END" + SPACE;
    /** * END + 逗号 */
    String END_COMMA = FUNC_END + COMMA;
    /** * 语法之 IN */
    String IN = SPACE + "IN";
    /** * IN + 左括号 */
    String IN_PARENTHESIS = IN + LEFT_PARENTHESIS;
}
