package org.jeecg.modules.city.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description: cs_pt_city
 * @Author: jeecg-boot
 * @Date:   2023-10-12
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_city")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cs_pt_city对象", description="cs_pt_city")
public class CsPtCity implements Serializable {
    private static final long serialVersionUID = 1L;

	/**地区id*/
    @TableId(type = IdType.ASSIGN_ID)
	@Excel(name = "地区id", width = 15)
    @ApiModelProperty(value = "地区id")
    private java.lang.Integer code;
	/**上级id*/
	@Excel(name = "上级id", width = 15)
    @ApiModelProperty(value = "上级id")
    private java.lang.Integer pCode;
	/**地区名称*/
	@Excel(name = "地区名称", width = 15)
    @ApiModelProperty(value = "地区名称")
    private java.lang.String name;
	/**地区简称*/
	@Excel(name = "地区简称", width = 15)
    @ApiModelProperty(value = "地区简称")
    private java.lang.String sName;
	/**城市级别*/
	@Excel(name = "城市级别", width = 15)
    @ApiModelProperty(value = "城市级别")
    private java.lang.String cityType;
}
