package org.jeecg.modules.csptzfgxb.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.common.entity.BaseEntity;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: cs_pt_zf_gxb
 * @Author: jeecg-boot
 * @Date:   2023-11-28
 * @Version: V1.0
 */
@Data
@TableName("cs_pt_zf_gxb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="cs_pt_zf_gxb对象", description="cs_pt_zf_gxb")
public class CsPtZfGxb extends BaseEntity {

	/**主表id*/
	@Excel(name = "主表id", width = 15)
    @ApiModelProperty(value = "主表id")
    private String zid;
	/**附表id*/
	@Excel(name = "附表id", width = 15)
    @ApiModelProperty(value = "附表id")
    private String fid;
	/**类型 1 短信 2邮箱*/
	@Excel(name = "类型 1 短信 2邮箱", width = 15)
    @ApiModelProperty(value = "类型 1 短信 2邮箱")
    private String type;
}
