package org.jeecg.modules.jfptpz.service;

import org.jeecg.modules.jfptpz.entity.CsPtJfptpz;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 交付平台配置
 * @Author: jeecg-boot
 * @Date:   2023-11-08
 * @Version: V1.0
 */
public interface ICsPtJfptpzService extends IService<CsPtJfptpz> {
    /**
     * 取当前租户的交付平台配置信息
     * @param tenantId
     * @return
     */
    public CsPtJfptpz getCurJfptpz(String tenantId);
}
