package org.jeecg.modules.kzzdys.service;

import org.jeecg.modules.kzzdys.entity.CsPtKzzdysmx;
import org.jeecg.modules.kzzdys.entity.CsPtKzzdys;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 扩展字段映射设置
 * @Author: jeecg-boot
 * @Date:   2023-12-07
 * @Version: V1.0
 */
public interface ICsPtKzzdysService extends IService<CsPtKzzdys> {

	/**
	 * 添加一对多
	 *
	 * @param csPtKzzdys
	 * @param csPtKzzdysmxList
	 */
	public void saveMain(CsPtKzzdys csPtKzzdys,List<CsPtKzzdysmx> csPtKzzdysmxList) ;
	
	/**
	 * 修改一对多
	 *
   * @param csPtKzzdys
   * @param csPtKzzdysmxList
	 */
	public void updateMain(CsPtKzzdys csPtKzzdys,List<CsPtKzzdysmx> csPtKzzdysmxList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);
	
}
