package org.jeecg.modules.qyxx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.qyxx.entity.CsPtQyxx;

import java.util.List;

/**
 * @Description: 企业信息
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
public interface CsPtQyxxMapper extends BaseMapper<CsPtQyxx> {
    /**
     * 根据终端获取企业信息
     * @param zdlx
     * @return
     */
    public List<CsPtQyxx> selectQyxxByKpzd(@Param(value = "zdlx") String zdlx);
}
