package org.jeecg.modules.task.service;

import org.jeecg.modules.task.entity.CsPtTaskmx;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: 异步任务明细表
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
public interface ICsPtTaskmxService extends IService<CsPtTaskmx> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<CsPtTaskmx>
	 */
	public List<CsPtTaskmx> selectByMainId(String mainId);
}
