package org.jeecg.modules.deliver.cmos.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 探针接口，防止假死
 */
@Tag(name = "探针接口，防止假死", description = "探针接口，防止假死")
@RestController
@RequestMapping("cmos/probe")
public class CmosProbeController {

    /**
     * 探针接口
     *
     * @return
     */
    @Operation(summary = "探针接口", description = "探针接口")
    @GetMapping
    public boolean test() {
        return true;
    }
}
