package org.jeecg.modules.deliver.cmos.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class CsfResponse implements Serializable {

    /**
     * 响应结果编码
     */
    private String rtnCode;

    /**
     * 响应结果信息
     */
    private String rtnMsg;

    /**
     * 默认响应结果编码，不建议自定义，自定义返回编码建议另外定义
     */
    public interface RTN_CODE{
        String SUCCESS = "0";
        String ERROR = "-9999";
    }

    /**
     *
     */
    public interface RTN_MSG{
        String SUCCESS = "成功";
        String ERROR = "失败";
    }
}
