package org.jeecg.config.mybatis.update;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Map;

/**
 * @description: 数据库表基本信息缓存类
 * @author: niugeng
 * @create: 2023-01-07 15:54
 **/

@Data
@Accessors(chain = true)
public class TableCacheDTO implements Serializable {
    private static final long serialVersionUID = 4904690745405851925L;
    /** * 表名 */
    private String tableName;
    /** * 主键名 */
    private String keyColumn;
    /** * 表字段集合 * <pre> * key: 实体类fieldName * value: 对应的表列名 * </pre> */
    private Map<String, String> fieldColumn;
}
