package org.jeecg.modules.city.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.List;

@Data
@ApiModel(value="行政区划树", description="行政区划树")
public class CsPtCityTreeVO {
    /**地区id*/
    @Excel(name = "地区id", width = 15)
    @ApiModelProperty(value = "地区id")
    private java.lang.Integer code;
    /**上级id*/
    @Excel(name = "上级id", width = 15)
    @ApiModelProperty(value = "上级id")
    private java.lang.Integer pCode;
    /**地区名称*/
    @Excel(name = "地区名称", width = 15)
    @ApiModelProperty(value = "地区名称")
    private java.lang.String name;
    /**地区简称*/
    @Excel(name = "地区简称", width = 15)
    @ApiModelProperty(value = "地区简称")
    private java.lang.String sName;
    /**城市级别*/
    @Excel(name = "城市级别", width = 15)
    @ApiModelProperty(value = "城市级别")
    private java.lang.String cityType;

    /**地区名称*/
    @Excel(name = "地区名称", width = 15)
    @ApiModelProperty(value = "地区名称")
    private java.lang.String label;

    /**地区编码*/
    @Excel(name = "地区编码", width = 15)
    @ApiModelProperty(value = "地区编码")
    private java.lang.String value;

    @ApiModelProperty(value = "下级节点")
    List<CsPtCityTreeVO> children;

}
