package org.jeecg.modules.kzzdys.mapper;

import java.util.List;
import org.jeecg.modules.kzzdys.entity.CsPtKzzdysmx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 扩展字段映射明细
 * @Author: jeecg-boot
 * @Date:   2023-12-07
 * @Version: V1.0
 */
public interface CsPtKzzdysmxMapper extends BaseMapper<CsPtKzzdysmx> {

	/**
	 * 通过主表id删除子表数据
	 *
	 * @param mainId 主表id
	 * @return boolean
	 */
	public boolean deleteByMainId(@Param("mainId") String mainId);

  /**
   * 通过主表id查询子表数据
   *
   * @param mainId 主表id
   * @return List<CsPtKzzdysmx>
   */
	public List<CsPtKzzdysmx> selectByMainId(@Param("mainId") String mainId);
}
