package org.jeecg.modules.task.service.impl;

import org.jeecg.modules.task.entity.CsPtTaskmx;
import org.jeecg.modules.task.mapper.CsPtTaskmxMapper;
import org.jeecg.modules.task.service.ICsPtTaskmxService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 异步任务明细表
 * @Author: jeecg-boot
 * @Date:   2023-08-19
 * @Version: V1.0
 */
@Service
public class CsPtTaskmxServiceImpl extends ServiceImpl<CsPtTaskmxMapper, CsPtTaskmx> implements ICsPtTaskmxService {
	
	@Autowired
	private CsPtTaskmxMapper csPtTaskmxMapper;
	
	@Override
	public List<CsPtTaskmx> selectByMainId(String mainId) {
		return csPtTaskmxMapper.selectByMainId(mainId);
	}
}
