package org.jeecg.modules.deliver.cmos.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class CsfRequest implements Serializable {

    /**
     * map入参，单条或某些条件，不建议放入复杂对象
     */
    private Map<String, Object> params = new HashMap<>();

    /**
     * list入参，不建议放入复杂对象
     */
    private List<Map<String, Object>> beans = new ArrayList<>();

    /**
     * 复杂对象
     */
    private Object object;

    private String csfCode;
}
